Bug 56459 - patch: util-linux MCONFIG problem with infodir and mandir
patch: util-linux MCONFIG problem with infodir and mandir
Product: Red Hat Raw Hide
Classification: Retired
Component: util-linux (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-11-19 04:22 EST by Pekka Savola
Modified: 2007-03-26 23:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-05 12:52:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-11-19 04:22:55 EST
If you have changed your infodir and mandir (at least), util-linux will not
This can be seen on an updated RHL62 box.

The problem is that even though the proper values are passed to %configure,
they are not written to MCONFIG.

This should fix the problem in a generic fashion.

--- util-linux.spec~    Wed Nov 14 19:41:10 2001
+++ util-linux.spec     Mon Nov 19 11:11:42 2001
@@ -112,6 +112,9 @@
 unset LINGUAS || :

+perl -pi -e s':^MAN_DIR=.*:MAN_DIR=    %{_mandir}:' MCONFIG
+perl -pi -e s':^INFO_DIR=.*:INFO_DIR=  %{_infodir}:' MCONFIG


(note a tab after {INFO,MAN}_DIR in perl, probably munged in cut'n'paste).
Comment 1 Elliot Lee 2002-01-04 15:29:13 EST
Does this still occur with the util-linux-2.11n in rawhide?
Comment 2 Pekka Savola 2002-01-05 12:52:32 EST
Yes, tested on 2.11n-1.  For example, %configure has --mandir=/usr/man but MAN_DIR in MCONFIG is /usr/share/man.
Comment 3 Elliot Lee 2002-01-29 15:43:44 EST
I've made this happen using sed instead of perl, and gotten rid of the other
perl invocation, so now we BuildRequires sed instead ofperl.

Note You need to log in before you can comment on or make changes to this bug.